// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"
#include "alfa.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Operations
public:
	CStdDoc* GetDocument();
	
	void SetHomePos();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx, int cy);

	CAlfa		m_AA;
	CMaterial	m_MM;

	// moving around
	CPoint m_PLast,m_PLastZ;
	GLfloat m_Vz,m_Vx,m_Vy;
	GLfloat m_EyeZ,m_EyeY,m_EyeX;
	// increments on move
	GLfloat	m_dvy;
	GLfloat m_dvx;
	BOOL m_bHasStopped;

	// fog
	BOOL m_bFogOn;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnSkriftFont();
	afx_msg void OnSkriftTekst();
	afx_msg void OnViewAnothermaterial();
	afx_msg void OnViewCloser();
	afx_msg void OnViewFurther();
	afx_msg void OnViewNormal();
	afx_msg void OnViewVerticaltext();
	afx_msg void OnViewAsboxes();
	afx_msg void OnUpdateViewAsboxes(CCmdUI* pCmdUI);
	afx_msg void OnViewFog();
	afx_msg void OnUpdateViewFog(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewVerticaltext(CCmdUI* pCmdUI);
	afx_msg void OnViewTextdepth();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
